'
' Copyright (c) 2005 Chris Reuter. all rights reserved.
'
' This software may be freely redistributed under the terms of the GNU
' public license.
' 
' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
'
'
' Wrapper script for Quest For Pants.  This sets everything up and
' starts Squeak on the game image.


' Some pseudo-constants
savedGamePath = "SavedGames\savedgame.image"
gameDataPath = "GameData\game.image"
squeakPath = "Executables\Squeak.exe"


' The Debug Flag.  Set to true to get lots of annoying messages.
debugFlag = false

' This sub prints out debug statements.
sub say (ByVal msg)
	if debugFlag then
		WScript.Echo msg
	end if
end sub


'Begin the deed.
say "Starting script."

' First, create the required interface objects.
Set WshShell = WScript.CreateObject("WScript.Shell")
Set fso = CreateObject("Scripting.FileSystemObject")

' First, we check the SavedGames directory to see if there's a saved
' game stored there.
if fso.FileExists (savedGamePath) then
	say "Found saved game"
else
	say "No saved game.  Copying in a fresh one."
	fso.CopyFile gameDataPath, savedGamePath
end if


' Now, start up the game proper:
say "Starting Quest For Pants"
WshShell.run squeakPath & " " & savedGamePath, 1, true

